# Namespace goog.net.XmlHttp

code »

Static class for creating XMLHttpRequest objects.

## Main

XmlHttp ( ) ⇒ `!(XMLHttpRequest|GearsHttpRequest)`

Returns
A new XMLHttpRequest object.

## Enumerations

goog.net.XmlHttp.OptionType Type of options that an XmlHttp object can have. goog.net.XmlHttp.ReadyState Status constants for XMLHTTP, matches: http://msdn.microsoft.com/library/default.asp?url=/library/ en-us/xmlsdk/html/0e6a34e4-f90c-489d-acff-cb44242fafc6.asp

Show:Public Protected Private

## Global Functions

code »goog.net.XmlHttp.getOptions ( ) ⇒ `Object`

Gets the options to use with the XMLHttpRequest objects obtained using the static methods.

Returns
The options.

code »goog.net.XmlHttp.setFactory ( factory, optionsFactory )
Deprecated: Use setGlobalFactory instead.

Sets the factories for creating XMLHttpRequest objects and their options.

Parameters
factory: `Function` The factory for XMLHttpRequest objects. optionsFactory: `Function` The factory for options.

code »goog.net.XmlHttp.setGlobalFactory ( factory )

Sets the global factory object.

Parameters
factory: `!goog.net.XmlHttpFactory` New global factory object.

## Global Properties

code »goog.net.XmlHttp.factory_ : `goog.net.XmlHttpFactory`

The global factory instance for creating XMLHttpRequest objects.

## Compiler Constants

code »goog.net.XmlHttp.ASSUME_NATIVE_XHR : `boolean`